> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voyantcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Person

> Create a new person (customer/contact) in your workspace.

## Method

`POST` `/v1/people`

## Body Parameters

<ParamField name="firstName" type="string">Given name</ParamField>
<ParamField name="lastName" type="string">Family name</ParamField>
<ParamField name="emails" type="string[]">List of email addresses</ParamField>
<ParamField name="phones" type="string[]">List of E.164 phone numbers</ParamField>
<ParamField name="country" type="string">ISO 3166-1 alpha-2 country code</ParamField>

## Headers

<ParamField header="Authorization" type="string" required>Bearer token (e.g. <code>Authorization: Bearer YOUR\_API\_KEY</code>)</ParamField>
<ParamField header="content-type" type="string">application/json</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.voyantcloud.com/v1/people \
    -H "Authorization: Bearer $VOYANT_API_KEY" \
    -H "content-type: application/json" \
    -d '{
      "firstName": "Ana",
      "lastName": "Ionescu",
      "emails": ["ana@example.com"],
      "phones": ["+40700000000"],
      "country": "RO"
    }'
  ```

  ```javascript Node.js theme={null}
  await fetch("https://api.voyantcloud.com/v1/people", {
    method: "POST",
    headers: {
      Authorization: `Bearer ${process.env.VOYANT_API_KEY!}`,
      "content-type": "application/json",
    },
    body: JSON.stringify({ firstName: "Ana", lastName: "Ionescu", emails: ["ana@example.com"] }),
  })
  ```

  ```python Python theme={null}
  import os, requests
  resp = requests.post(
    "https://api.voyantcloud.com/v1/people",
    headers={"Authorization": f"Bearer {os.environ['VOYANT_API_KEY']}", "content-type": "application/json"},
    json={"firstName": "Ana", "lastName": "Ionescu"},
  )
  ```
</RequestExample>

<ResponseExample>
  ```json 201 Created theme={null}
  {
    "id": "p_123",
    "firstName": "Ana",
    "lastName": "Ionescu",
    "defaultEmail": "ana@example.com"
  }
  ```
</ResponseExample>
